Loading...
Searching...
No Matches
paths.hpp File Reference
`#include <uhd/config.hpp>`
`#include <boost/filesystem.hpp>`
`#include <string>`
`#include <vector>`
Include dependency graph for paths.hpp:

Go to the source code of this file.

## Namespaces

namespace | uhd

## Functions

UHD_API std::string | uhd::get_tmp_path (void)
| Get a string representing the system's temporary directory.
UHD_API std::string | uhd::get_lib_path (void)
| Get a string representing the system's library directory.
UHD_API std::string | uhd::get_pkg_path (void)
| Get a string representing the system's pkg directory.
UHD_API std::string | uhd::get_pkg_data_path (void)
| Get a string representing the system's package data directory ("share").
UHD_API std::string | uhd::get_cal_data_path (void)
| Get a string representing the location of the calibration database.
UHD_API std::vector< fs::path > | uhd::get_module_paths (void)
| Get UHD library paths.
UHD_API std::string | uhd::find_image_path (const std::string &image_name, const std::string &search_paths="")
UHD_API std::string | uhd::find_utility (const std::string &name)
UHD_API std::string | uhd::print_utility_error (const std::string &name, const std::string &args="")